Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227019 - Gaim crash on dogtail example
Summary: Gaim crash on dogtail example
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gail
Version: 5.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Matthias Clasen
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 16:51 UTC by Michal Babej
Modified: 2013-07-31 23:10 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-15 18:11:17 UTC
Target Upstream Version:


Attachments (Terms of Use)
gdb backtrace (deleted)
2007-02-02 16:51 UTC, Michal Babej
no flags Details
output of python script no-help-at-all (deleted)
2007-02-02 16:52 UTC, Michal Babej
no flags Details
gaim bt from gdb (deleted)
2007-03-26 15:38 UTC, Michal Babej
no flags Details

Description Michal Babej 2007-02-02 16:51:04 UTC
Description of problem:
i was playing around with dogtail and one of it's scripts from examples crashes
gaim ( other gnome apps do not crash on this script). It's script
examples/no-help-at-all.py

Version-Release number of selected component (if applicable):
dogtail-0.6.1-2.el5
gaim-2.0.0-0.28.beta5.el5

How reproducible:
always

Steps to Reproduce:
1. launch gaim
2. launch "/usr/bin/python
/usr/share/doc/dogtail-0.6.1/examples/no-help-at-all.py gaim"
3. kaboom
  
Actual results:
crash

Comment 1 Michal Babej 2007-02-02 16:51:04 UTC
Created attachment 147239 [details]
gdb backtrace

Comment 2 Michal Babej 2007-02-02 16:52:40 UTC
Created attachment 147240 [details]
output of python script no-help-at-all

Comment 3 RHEL Product and Program Management 2007-03-21 22:16:03 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Warren Togami 2007-03-21 22:58:32 UTC
The crash appears to be well outside of gaim, it is unclear whether this is
truly my responsibility.

This report also gives no details as to the impact (how do actual customers hit
this problem?) so I cannot assess relative priority versus other issues.

Comment 5 Michal Babej 2007-03-26 15:38:58 UTC
Created attachment 150905 [details]
gaim bt from gdb

Comment 6 Michal Babej 2007-03-26 15:54:44 UTC
changing component on gail.

Comment 7 Warren Togami 2007-03-29 17:53:57 UTC
Reassigning owner.

Comment 8 Daniel Riek 2007-06-15 18:11:17 UTC
Component gail is not approved. Gaim was.

Closing DEFERRED, as we are not planning to do this in 5.1


Note You need to log in before you can comment on or make changes to this bug.